<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.vetti.hotake.mapper.HotakeMeetingCalendarInfoMapper">
    
    <resultMap type="HotakeMeetingCalendarInfo" id="HotakeMeetingCalendarInfoResult">
        <result property="id"    column="id"    />
        <result property="recruiterId"    column="recruiter_id"    />
        <result property="roleApplyId"    column="role_apply_id"    />
        <result property="compName"    column="comp_name"    />
        <result property="meetingName"    column="meeting_name"    />
        <result property="meetingDate"    column="meeting_date"    />
        <result property="times"    column="times"    />
        <result property="status"    column="status"    />
        <result property="messageVia"    column="message_via"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectHotakeMeetingCalendarInfoVo">
        select id, recruiter_id,role_apply_id, comp_name, meeting_name, meeting_date, times, status,message_via,
               del_flag, create_by, create_time, update_by, update_time, remark from hotake_meeting_calendar_info
    </sql>

    <select id="selectHotakeMeetingCalendarInfoList" parameterType="HotakeMeetingCalendarInfo" resultMap="HotakeMeetingCalendarInfoResult">
        <include refid="selectHotakeMeetingCalendarInfoVo"/>
        <where>  
            <if test="recruiterId != null "> and recruiter_id = #{recruiterId}</if>
            <if test="roleApplyId != null "> and role_apply_id = #{roleApplyId}</if>
            <if test="compName != null  and compName != ''"> and comp_name like concat('%', #{compName}, '%')</if>
            <if test="meetingName != null  and meetingName != ''"> and meeting_name like concat('%', #{meetingName}, '%')</if>
            <if test="meetingDate != null  and meetingDate != ''"> and meeting_date = #{meetingDate}</if>
            <if test="times != null  and times != ''"> and times = #{times}</if>
            <if test="status != null  and status != ''"> and status = #{status}</if>
            <if test="meetingIds != null ">
                and id in
                <foreach item="meetingId" collection="meetingIds" open="(" separator="," close=")">
                    #{meetingId}
                </foreach>
            </if>
        </where>
    </select>
    
    <select id="selectHotakeMeetingCalendarInfoById" parameterType="Long" resultMap="HotakeMeetingCalendarInfoResult">
        <include refid="selectHotakeMeetingCalendarInfoVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertHotakeMeetingCalendarInfo" parameterType="HotakeMeetingCalendarInfo" useGeneratedKeys="true" keyProperty="id">
        insert into hotake_meeting_calendar_info
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="recruiterId != null">recruiter_id,</if>
            <if test="roleApplyId != null">role_apply_id,</if>
            <if test="compName != null">comp_name,</if>
            <if test="meetingName != null">meeting_name,</if>
            <if test="meetingDate != null">meeting_date,</if>
            <if test="times != null">times,</if>
            <if test="status != null">status,</if>
            <if test="messageVia != null">message_via,</if>
            <if test="delFlag != null">del_flag,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="recruiterId != null">#{recruiterId},</if>
            <if test="roleApplyId != null">#{roleApplyId},</if>
            <if test="compName != null">#{compName},</if>
            <if test="meetingName != null">#{meetingName},</if>
            <if test="meetingDate != null">#{meetingDate},</if>
            <if test="times != null">#{times},</if>
            <if test="status != null">#{status},</if>
            <if test="messageVia != null">#{messageVia},</if>
            <if test="delFlag != null">#{delFlag},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
         </trim>
    </insert>

    <update id="updateHotakeMeetingCalendarInfo" parameterType="HotakeMeetingCalendarInfo">
        update hotake_meeting_calendar_info
        <trim prefix="SET" suffixOverrides=",">
            <if test="recruiterId != null">recruiter_id = #{recruiterId},</if>
            <if test="roleApplyId != null">role_apply_id = #{roleApplyId},</if>
            <if test="compName != null">comp_name = #{compName},</if>
            <if test="meetingName != null">meeting_name = #{meetingName},</if>
            <if test="meetingDate != null">meeting_date = #{meetingDate},</if>
            <if test="times != null">times = #{times},</if>
            <if test="status != null">status = #{status},</if>
            <if test="messageVia != null">message_via = #{messageVia},</if>
            <if test="delFlag != null">del_flag = #{delFlag},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteHotakeMeetingCalendarInfoById" parameterType="Long">
        delete from hotake_meeting_calendar_info where id = #{id}
    </delete>

    <delete id="deleteHotakeMeetingCalendarInfoByIds" parameterType="String">
        delete from hotake_meeting_calendar_info where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>

    <insert id="batchInsertHotakeMeetingCalendarInfo">
        insert into hotake_meeting_calendar_info( id, recruiter_id,role_apply_id, comp_name, meeting_name, meeting_date, times,
                                                 status, message_via,del_flag, create_by, create_time, update_by, update_time, remark) values
        <foreach item="item" index="index" collection="list" separator=",">
            ( #{item.id}, #{item.recruiterId},#{item.roleApplyId}, #{item.compName}, #{item.meetingName},
             #{item.meetingDate}, #{item.times}, #{item.status},#{item.messageVia} ,#{item.delFlag}, #{item.createBy}, #{item.createTime}, #{item.updateBy}, #{item.updateTime}, #{item.remark})
        </foreach>
    </insert>
</mapper>